Issue 1867

Summary: Add "Keep with previous paragraph" to paragraph style options
Product: Writer Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, rb.henschel, stx123
Version: 638Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
A document illustrating 3 uses of potential "Keep with previous paragraph" option. none

Description Unknown 2001-10-10 19:58:48 UTC
FrameMaker has this option (in addition to "Keep with next paragraph"), and I 
find it quite useful.
Comment 1 stefan.baltzer 2001-10-11 14:52:22 UTC
Indeed, this is useful. Guess why it's already in the product... ;-)

Format - Paragraph - Text Flow -> check "Keep with next paragraph"
Comment 2 stefan.baltzer 2001-10-11 14:55:17 UTC
Closed.
Comment 3 Unknown 2001-10-12 21:28:49 UTC
I realized there is a "keep with next paragraph" option. For hard-
formatting documents that would be entirely sufficient, but when 
designing paragraph styles for highly-structured documents, it is 
sometimes necessary to have a "keep with previous paragraph" option 
as well--that's why FrameMaker has both choices, and why I'd like to 
see OpenOffice.org have both choices as well.

Is this the best place to make this type of suggestion, or would one 
of the mailing lists be more appropriate?
Comment 4 stefan.baltzer 2001-10-15 15:59:47 UTC
There is no need to set up a new issue.
I set this one to "Enhancement" and reassign it to Falko.
Comment 5 falko.tesch 2001-10-22 10:00:32 UTC
Frank, please evaluate this issue! Thx.
Comment 6 frank.loehmann 2001-11-12 10:57:33 UTC
I have talked with our developers and our QA department, but without
an extended example we could not imagine why we should have this
feature too. From our perspective it is no difference if A is
connected to B or the other way round.
Comment 7 Unknown 2001-11-16 21:53:40 UTC
One possible use would be the "Caption" style (one of the predefined 
Writer styles). It would make sense for the Caption style to have 
its "Keep with previous paragraph" options set so that it will always 
appear on the same page as the figure or table it describes. I've 
attached a Writer document describe a couple of other uses as well.
Comment 8 Unknown 2001-11-16 21:55:53 UTC
Created attachment 713 [details]
A document illustrating 3 uses of potential "Keep with previous paragraph" option.
Comment 9 falko.tesch 2002-01-02 10:36:14 UTC
This issue is re-assigned to Christian Jansen for further evaluation.
Comment 10 christian.jansen 2002-01-02 14:37:04 UTC
Frank, please clarify and make a final decision.
Comment 11 frank.loehmann 2002-11-29 08:09:05 UTC
FL: I have checked the doc and know I can see the problem. In hard 
formatted documents the current "keep together" function is 
sufficient, but in structured documents using templates, the user 
has no chance to create a general rule that (i.e.) an unnumbered 
paragraph should keep together with his parent (since not every 
numbered paragraph has such an successor).
FL->MRU: Please write an idea in the idea board reflecting this  
missing feature. Thank you!
Comment 12 michael.ruess 2002-11-29 12:21:25 UTC
Entered the feature request into database.
Comment 13 michael.ruess 2002-11-29 12:22:03 UTC
Closed, from now on it will be handled by the product management via
feature database.
Comment 14 Regina Henschel 2007-09-22 14:45:59 UTC
Please set another resolution. "Wontfix" doesn't fit to "Entered the feature
request into database."

See also issue 7923.
Comment 15 michael.ruess 2007-10-25 15:00:30 UTC
Reassigned to requirements.